library(gbm)

load('gbmModel')

print("Model loaded")

nbTrees = gbmModel["n.trees"][[1]]

test <- read.table(file = "pharmacies_test", header = FALSE, sep="\t")

titles <- read.table(file = "all_test_col", header = FALSE, sep="\n")

f.predict <- predict.gbm(gbmModel,test,nbTrees)

joined <- cbind(titles,f.predict)	

sorted <- joined[order(-joined[2]), ]

write.table(sorted, file = 'sorted_pharmacies.txt', col.names=FALSE)

